Search Unity

Install Past Versions

Discussion in 'Unity Hub' started by steakpinball, Sep 14, 2018.

  1. steakpinball

    steakpinball

    Joined:
    Dec 1, 2013
    Posts:
    9
    The hub really needs a way to install past versions of the editor.

    To be clear, I don't need or want these past versions to appear on Installs > Official Releases. This is really only needed when opening a project and the editor version is not installed. Currently, when opening a project without the matching editor, the hub forces you to pick one of your currently installed versions. If the hub offered to install the exact match editor, it would be a huge improvement.

    When adding new members to a project and they don't have the proper version of the editor installed, the new member must go through the download archive and install the needed version. This has a few drawbacks. First, no "Add Component" support. Only editors installed through the hub have this option as the manual installer does not produce a modules.json file. If this new team member needs to add a component they need to re-run the installer. This places a higher work burden on them compared to other team members. But more worrisome is the blog post suggesting this won't be possible in the future as the standalone installer is being deprecated.
     
  2. afshinity

    afshinity

    Unity Technologies

    Joined:
    Jul 31, 2017
    Posts:
    334
    Hi there,
    Thank you for your feedback.
    Hub will be able to download and install the archived versions of the Unity soon.
    When this feature ship, in order to download a past version of the editor, you still need to navigate through the website to find the version, but the download file will be opened by the hub and will be installed through the hub.

    Stay tuned for this feature.
    Best,
    Afshin
     
  3. steakpinball

    steakpinball

    Joined:
    Dec 1, 2013
    Posts:
    9
    Thank you, that does sound better than the current situation.
     
  4. helium73

    helium73

    Joined:
    Sep 11, 2021
    Posts:
    1
    The download archive seems to have a different numbering system than the version Unity hub suggests. Unity hub says my project uses version 5.3.1f1 but when I go to the archive I see any versions that start with a 5. They all start with 2020 or 2021 or some other year. I don't see any versions 5 and what's with the letter f? I don't see any letter f in the archive either. As it is I almost finished my project. It's just a tutorial I guess.
     
unityunity